Dependencies

bill-auger edited this page Apr 1, 2017 · 3 revisions

Table of Contents

Should I be concerned with dependencies?

  • Installing Freewheeling OS Specific Packages - Then read no more; you will not need this article.
  • Compiling Freewheeling with the help of a Package Manager - If your OS is listed in the Compiling article, simply run the corresponding commands in a terminal. If not, the packages mentioned in this article will likely be found in your repos (or in third-party repositories) but possibly with different but similar names and versions (note the subtle naming differences between the Debian .debs and the Fedora .rpms).
  • Compiling Dependencies - You should be aware that you will need to install several more programs to meet all dependencies. It is beyond the scope of this article to provide such an exhaustive list but this page should give you enough information to get you started planting your dependency tree.

The Big Picture

The dependencies listed in the article are OS specific and depend on other programs/libraries that will normally be installed automatically by modern package managers or may be installed by default in the base disto; so not all of the build dependencies are listed here (nor their dependencies).

Build Dependencies for Freewheeling v0.6-1

TODO: first column could be links - and add more dists

program / library Ubuntu 10.10 Fedora
autoconf autoconf autoconf
gcc-c++ (pre-installed) gcc-c++
debhelper debhelper n/a
kernel headers linux-headers-`uname -r` ?
autotools-dev autotools-dev ?
quilt quilt ?
docbook-to-man docbook-to-man ?
libtool libtool libtool
libx11-dev libx11-dev libICE-devel
libfreetype6-dev libfreetype6-dev freetype-devel
libsdl-gfx1.2-dev libsdl-gfx1.2-dev SDL_gfx-devel
libsdl-ttf2.0-dev libsdl-ttf2.0-dev SDL_ttf-devel
libxml2-dev libxml2-dev libxml2-devel
libvorbis-dev libvorbis-dev libvorbis-devel
libsndfile-dev libsndfile-dev libsndfile-devel
libfluidsynth-dev libfluidsynth-dev fluidsynth-devel
libgnutls-dev libgnutls-dev gnutls-devel
liblo-dev liblo-dev liblo-devel
libjack-jackd2-dev libjack-jackd2-dev ?
OR, libjack-dev libjack-dev jack-audio-connection-kit-devel
NOTE: jackd and jackd2 but these are mutually exclusive. If you have JACK installed already then there are likely to be other programs depending on it and those may or may not work with the other version. In either case you should install the dev pack corresponding to your version.

Binary Dependencies (for reference)

Fedora 14 (fweelin-0.6-1.fc14.ccrma.i686.rpm)

  • libSDL-1.2.so.0
  • libSDL_gfx.so.0
  • libSDL_ttf-2.0.so.0
  • libX11.so.6
  • libasound.so.2
  • libasound.so.2(ALSA_0.9)
  • libc.so.6
  • libc.so.6(GLIBC_2.0)
  • libc.so.6(GLIBC_2.1)
  • libc.so.6(GLIBC_2.1.3)
  • libc.so.6(GLIBC_2.3.4)
  • libc.so.6(GLIBC_2.4)
  • libdl.so.2
  • libfluidsynth.so.1
  • libfreetype.so.6
  • libgcc_s.so.1
  • libgcc_s.so.1(GCC_3.0)
  • libgnutls-openssl.so.26
  • libjack.so.0
  • libm.so.6
  • libm.so.6(GLIBC_2.0)
  • libm.so.6(GLIBC_2.1)
  • libogg.so.0
  • libpthread.so.0
  • libpthread.so.0(GLIBC_2.0)
  • libpthread.so.0(GLIBC_2.1)
  • libpthread.so.0(GLIBC_2.3.2)
  • libsndfile.so.1
  • libsndfile.so.1(libsndfile.so.1.0)
  • libstdc++.so.6
  • libstdc++.so.6(CXXABI_1.3)
  • libstdc++.so.6(GLIBCXX_3.4)
  • libvorbis.so.0
  • libvorbisenc.so.2
  • libvorbisfile.so.3
  • libxml2.so.2
  • libxml2.so.2(LIBXML2_2.4.30)
  • rtld(GNU_HASH)

Ubuntu 10.10 (freewheeling_0.6-1build2_i386.deb)

  • jackd - NOTE: this meta-package installs jack2
  • libasound2 (>> 1.0.22)
  • libc6 (>= 2.4)
  • libfluidsynth1
  • libfreetype6 (>= 2.2.1)
  • libgcc1 (>= 1:4.1.1)
  • libgnutls26 (>= 2.7.14-0)
  • libice6 (>= 1:1.0.0)
  • libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116
  • libogg0 (>= 1.0rc3)
  • libsdl-gfx1.2-4
  • libsdl-ttf2.0-0
  • libsdl1.2debian (>= 1.2.10-1)
  • libsm6
  • libsndfile1 (>= 1.0.20)
  • libstdc++6 (>= 4.1.1)
  • libvorbis0a (>= 1.1.2)
  • libvorbisenc2 (>= 1.1.2)
  • libvorbisfile3 (>= 1.1.2)
  • libx11-6
  • libxml2 (>= 2.7.4)
  • ttf-dejavu
  • ttf-dustin
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.